#!/user/bin/env python3
# -*- coding: utf-8 -*-
# ddate:2023/12/8 9:06
__author__ = "qinguanglei"

import time

# 购买一个非序列号商品

"""
case_tag:case,buy,case_buy_one_nonseq_commodity
"""

from actions.actions_buy.steps_buy import StepsBuy
from airtest_selenium.proxy import WebChrome

"""家庭作业"""
# 获取驱动器
driver = WebChrome()
driver.implicitly_wait(20)
# 最大化页面
driver.maximize_window()

"""开始执行案例"""
# 载入步骤集合
steps_buy = StepsBuy(driver)
# 打开浏览器
steps_buy.open_browser()
# 登录
steps_buy.login()
# 进入普通采购单页面
steps_buy.enter_buy_op_page()
# 进入新建单据界面
steps_buy.enter_new_op_frame()
# 输入供应商
steps_buy.input_supplier()
# 输入仓库
steps_buy.input_warehouse()
# 输入合同协议
steps_buy.input_protocol()
# 输入业务员员
steps_buy.input_businessman()
# 添加商品
steps_buy.add_merchandise()
# 商品明细处理
steps_buy.detail_proc()
# 订单保存处理
steps_buy.save_proc()
# 订单提交
steps_buy.submit_proc()
time.sleep(15)
